%define		php_name	php%{?php_suffix}
%define		modname	bz2_filter
%define		status		stable
Summary:	%{modname} - bz2 filter implementation backport for PHP 5.0
Summary(pl.UTF-8):	%{modname} - backport implementacji filtra bz2 dla PHP 5.0
Name:		%{php_name}-pecl-%{modname}
Version:	1.1.0
Release:	7
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	c27893a03c6dadb70489473938ff0495
URL:		http://pecl.php.net/package/bz2_filter/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bzip2 compress/decompress stream filter implementation. Performs
inline compression/decompression using the bzip2 algorythm on any PHP
I/O stream. The data produced by this filter, while compatable with
the payload portion of a bz2 file, does not include headers or tailers
for full bz2 file compatability. To achieve this format, use the
compress.bzip2:// fopen wrapper built directly into PHP.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Implementacja filtra kompresji/dekompresji strumienia bzip2. Wykonuje
kompresję/dekompresję algorytmem bzip2 na dowolnym strumieniu I/O PHP.
Dane stworzone przez ten filtr, będąc kompatybilnymi z częścią pliku
bzip2 zawierającą payload, nie zawierają nagłówków ani końcówek dla
pełnej zgodności z bz2. Aby uzyskać ten format, trzeba użyć wrappera
fopen compress.bzip2:// wbudowanego bezpośrednio w PHP.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-bz2_filter.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 9c86f06
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> 10da016
- release 7

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 41c2034
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 303a769
- converted to UTF-8

* Tue Dec 19 2006 Elan Ruusamäe <glen@pld-linux.org> b56d59e
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 84b5f4a
- rel 6 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> f0950bf
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 0741f1d
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 370cb86
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> c10ca73
- rebuild with zts and debug requires

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 0c7d7a6
- workaround for spec parser having macro undefined yet and not seeing BR

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 519ffb0
- use new php/zend api macros

* Mon Sep 12 2005 Elan Ruusamäe <glen@pld-linux.org> df06b93
- ./adapter -s

* Sun Sep 11 2005 Elan Ruusamäe <glen@pld-linux.org> 19ad866
- full conf.d support and unifications

* Sun Mar 20 2005 Adam Gołębiowski <adamg@pld-linux.org> e98fb4b
- new

